<?php  global $themename, $input_prefix;

/*****************/
/* Theme Details */

$themename = "Gloss Surface";
$themeid = "gloss";
$productid = "1260";


/**********************/
/* Include OCMX files */
$include_folders = array("/ocmx/includes/", "/ocmx/theme-setup/", "/ocmx/widgets/", "/ocmx/front-end/", "/ajax/", "/ocmx/interface/");

// This is a hack, to avoid the "headers already sent by...." error which pops up when you call pages directly from wp-admin/ like edit.php for example	
include_once (get_template_directory()."/ocmx/folder-class.php");
include_once (get_template_directory()."/ocmx/load-includes.php");
include_once (get_template_directory()."/ocmx/custom.php");
include_once (get_template_directory()."/ocmx/seo-post-custom.php");

/**********************/
/* "Hook" up the OCMX */
add_action('init', 'add_gallery_post_type');
add_action('init', 'ocmx_add_scripts');
add_action('after_setup_theme', 'ocmx_setup');

/***********************/
/* Add OCMX Menu Items */

add_action('admin_menu', 'ocmx_add_admin');
function ocmx_add_admin() {
	global $wpdb;
	
	add_object_page("Theme Options", "Theme Options", 'edit_themes', basename(__FILE__), '', 'http://obox-design.com/images/ocmx-favicon.png');
	
	//Check if we need to upgrade the Gallery Table
	check_gallery_table();
	
	add_submenu_page(basename(__FILE__), "General Options", "General", 8, basename(__FILE__), 'ocmx_general_options');
	add_submenu_page(basename(__FILE__), "Home Page Layout", "Home Layout", 8,  "ocmx-home", 'ocmx_home_options');
	add_submenu_page(basename(__FILE__), "Adverts", "Adverts", 8,  "ocmx-adverts", 'ocmx_advert_options');
	add_submenu_page(basename(__FILE__), "Gallery Management", "Gallery", 8, "ocmx-gallery", 'ocmx_gallery_options');
	add_submenu_page(basename(__FILE__), "SEO Options", "SEO Options", 8, "ocmx-seo", 'ocmx_seo_options');
	add_submenu_page(basename(__FILE__), "Help", "Help", "manage_options", "obox-help", 'ocmx_welcome_page');
};

/*****************/
/* Add Nav Menus */

if (function_exists('register_nav_menus')) :
	register_nav_menus( array(
		'primary' => __('Primary Navigation', '$themename'),
	) );
endif;

/***********************************************************************/
/* Set the parameters which allow the /interface/ folder to be included*/

function check_allow_ocmx(){
	if(
	   	!isset($_POST["ocmx_gallery_update"]) 
		&& (strpos($_SERVER['SCRIPT_FILENAME'], "admin.php") != null || strpos($_SERVER['SCRIPT_FILENAME'], "admin-ajax.php") != null && !isset($_POST['action']))
		&& is_user_logged_in()
	) :
		return true;
	else:
		return false;
	endif;
}

/**************************/
/* WP 3.4 Support         */
global $wp_version;
if ( version_compare( $wp_version, '3.4', '>=' ) ) 
	add_theme_support( 'custom-background' ); 
	add_theme_support( 'post-thumbnails' ); 
	add_theme_support( 'automatic-feed-links' ); 

if ( ! isset( $content_width ) ) $content_width = 960;
/**************************/
/* Setup media */
function ocmx_setup_image_sizes() {
	add_image_size('580x280', 580, 280, true);
	add_image_size('100x80', 100, 80, true);
	add_image_size('205x100', 205, 100, true);
	add_image_size('532x255', 532, 255, true);
	add_image_size('50x50', 50, 50, true);
	add_image_size('80x80', 80, 80, true);
	add_image_size('940', 940, 9999);
	add_image_size('532', 532, 9999);
	add_image_size('580', 580, 9999);
	add_image_size('980', 980, 9999);
}
add_action( 'after_setup_theme', 'ocmx_setup_image_sizes' );

/**************************/
/* Facebook Support      */
function get_fbimage() {
  global $post;
  $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), '', '' );
  if ( has_post_thumbnail($post->ID) ) {
    $fbimage = $src[0];
  } else {
    global $post, $posts;
    $fbimage = '';
    $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i',
    $post->post_content, $matches);
    $fbimage = $matches [1] [0];
  }
  if(empty($fbimage)) {
    $fbimage = get_the_post_thumbnail($post->ID);
  }
  return $fbimage;
}

/******************************************************************************/
/* Each theme has their own "No Posts" styling, so it's kept in functions.php */
function ocmx_no_posts()
	{
?>
	<li class="post transparent-container">
        <div class="content clearfix">
            <h3 class="post-title use-cufon"><?php _e("Nothing to See Here","ocmx"); ?></h3>
            <div class="copy">
                <p><?php _e("There are no posts which match your selected criteria.","ocmx"); ?></p>
            </div>	
        </div>
	</li>
<?php 
	}
?>