<?php function ocmx_welcome_page(){
	global $wp_version;
	global $productid;
	global $themename;
	$themes = wp_get_themes();
	$current_theme =  wp_get_theme();
	?>
	<div id="welcome-panel" class="welcome-panel">
		<div class="wp-badge obox"><?php echo $themename." ".$current_theme->Version; ?></div>
		<div class="welcome-panel-content">
			<h3>Welcome to <?php echo $themename; ?> by Obox Themes!</h3>
			<p class="about-description">If you need help getting started, check out our <a href="http://www.oboxthemes.com/documentation_item.cfm/productId/<?php echo $productid; ?>" target="_blank"><?php echo $themename; ?> Theme documentation</a>. If you'd rather just get going, here are a few things you should do first to set up your new theme. If you need help, use our <a href="http://obox-design.com/get-support.cfm" target="_blank">support forum</a>.</p>
			<div class="welcome-panel-column-container">
				<div class="welcome-panel-column">
					<h4><span class="icon16 icon-settings"></span> Add Your Content</h4>
					<p><?php echo $themename; ?> uses custom post types for content. You should add your content before moving on to step 2 where we'll start managing the widgets which display the content on your site.</p>
					<ul>
						<li>Add some <a href="<?php echo admin_url('edit.php'); ?>" target="_blank">Posts</a></li>
                        <li>Upload a Logo and choose your <a href="<?php echo admin_url('admin.php?page=functions.php'); ?>" target="_blank">Theme Options</a></li>
						<li>Choose your <a href="<?php echo admin_url('admin.php?page=ocmx-home'); ?>" target="_blank">Home Layout</a> from 'Theme Options'</li>
					</ul>
				</div>
				<div class="welcome-panel-column">
					<h4><span class="icon16 icon-appearance"></span>Create a Gallery</h4>
					<p>The Obox Gallery allows you to easily manage images separately from the WordPress Media Manager. Create albums and display them in the theme's gallery widgets or an elegant page layout.</p>
					<ul>
						<li>Begin by adding some <a href="<?php echo admin_url('admin.php?page=ocmx-gallery'); ?>" target="_blank">Gallery</a> Items</li>
                        <li>Add a <a href="<?php echo admin_url('post-new.php?post_type=page'); ?>" target="_blank">new Page using the Gallery page template.</a></li>
						<li>Read our <a href="http://www.oboxthemes.com/documentation_item.cfm/productId/<?php echo $productid; ?>" target="_blank">documentation</a> on using the Gallery.</li>
					</ul>
				</div>
				<div class="welcome-panel-column welcome-panel-last">
					<h4><span class="icon16 icon-page"></span> Add / Organise Your Widgets</h4>
					<p>You've added your content, head over to 'Widgets' and choose the widgets you want to show up on your homepage. You can add multiple widgets and organise them in order of how you want them to show.</p>
					<ul>
						<li>Go to the <a href="<?php echo admin_url('widgets.php'); ?>" target="_blank">Widgets section</a></li>
						<li>View an example of the suggested widget setup</li>
						<li>Read our <a href="http://www.oboxthemes.com/documentation_item.cfm/productId/<?php $productid; ?>" target="_blank">documentation</a> on each widget setting</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
<?php }
function ocmx_check_welcome(){
	global $pagenow, $themeid;
	if(!get_option($themeid."_welcome") && isset($_GET["activated"]) && $pagenow == "themes.php") :
		update_option($themeid."_welcome", 1);
	    wp_redirect(admin_url('admin.php?page=obox-help'));
	endif; 
}
add_action("init", "ocmx_check_welcome");