<?php
global $obox_meta, $theme_options;

$theme_options = array();

$theme_options["general_site_options"] =
		array(
				array("label" => "Custom Logo <span>(90 x 75px)</span>", "description" => "Full URL or folder path to your custom logo.", "name" => "ocmx_custom_logo", "default" => "", "id" => "upload_button", "input_type" => "file", "args" => array("width" => 90, "height" => 75)),		
				array("label" => "Color Options", "description" => "Select your desired colour option.", "name" => "ocmx_theme_style", "default" => "light-blue", "id" => "", "input_type" => "select", "options" => array(
						"Light Blue (Default)" => "light-blue",
						"Detailed Green" => "detail-green",
						"Detailed Orange" => "detail-orange",				
						"Detailed Purple" => "detail-purple",
						"Minimal Blue" => "minimal-blue",
						"Minimal Green" => "minimal-green",
						"Minimal Red" => "minimal-red",
						"Black & White" => "black-white"
				)),
				array("label" => "Default Font Choice", "description" => "Do you want to display the theme's decorative font as default?", "name" => "ocmx_custom_font", "default" => "yes", "id" =>  "ocmx_custom_font", "input_type" => "select", "options" => array("Yes" => "yes", "No" => "no")),
				array("label" => "Post Author Details", "description" => "Would you like to show the details of the author when viewing a post?", "name" => "ocmx_show_author", "default" => "yes", "id" => "", "input_type" => "select", "options" => array("Yes" => "yes", "No" => "no")),
				array(
				"main_section" => "Post Meta",
				"main_description" => "These settings control which post meta is displayed on posts.",
				"sub_elements" => 
					array(
						array("label" => "Author Link", "description" => "Uncheck to hide the author link.", "name" => "ocmx_meta_author", "default" => "on", "id" => "ocmx_meta_author", "input_type" => "checkbox"),
						array("label" => "Date", "name" => "ocmx_meta_date", "Uncheck to hide the date on posts and archives.", "default" => "on", "id" => "ocmx_meta_date", "input_type" => "checkbox"),
						array("label" => "Comments Link", "description" => "Uncheck to hide Comments links in the post list.", "name" => "ocmx_meta_comments", "default" => "on", "id" => "ocmx_meta_comments", "input_type" => "checkbox"),
						array("label" => "Tags", "description" => "Uncheck to hide tags on posts.", "name" => "ocmx_meta_tags", "default" => "on", "id" => "ocmx_meta_tags", "input_type" => "checkbox"),
						array("label" => "Twitter Link", "description" => "Uncheck to hide Twitter field in the comments form.", "name" => "ocmx_meta_twitter", "default" => "on", "id" => "ocmx_meta_twitter", "input_type" => "checkbox")
					)
				),					
				array(
					"main_section" => "RSS Details",
					"main_description" => "",
					"sub_elements" => 
						array(
							array("label" => "RSS URL", "description" => "", "name" => "ocmx_rss_url", "default" => "", "id" => "", "input_type" => "text"),
							array("label" => "Feedburner ID", "description" => "This will allow visitors to subscribe to your custom RSS feed, as well as your Feedburner Feed via e-mail.", "name" => "ocmx_feedburner_id", "default" => "", "id" => "", "input_type" => "text"),
						)
					),
				array("label" => "Custom Footer Text", "description" => "", "name" => "ocmx_custom_footer", "default" => "Copyright 2011. Knead was created in WordPress by Obox Themes."	, "id" => "ocmx_custom_footer", "input_type" => "memo"),
				array("label" => "Hide Obox Logo", "description" => "Hide the Obox Logo from the footer.", "name" => "ocmx_logo_hide", "default" => "false", "id" => "ocmx_logo_hide", "input_type" => "checkbox"),
				array("label" => "Site Analytics", "description" => "Enter in the Google Analytics Script here.","name" => "ocmx_googleAnalytics", "default" => "", "id" => "","input_type" => "memo")
		);
$theme_options["seo_options"] = array(
							array("label" => "Use OCMX SEO", "description" => "Select \"No\" if you are using an SEO plugin.", "name" => "ocmx_seo", "default" => "yes", "input_type" => "select", "options" => array("Yes" => "yes", "No" => "no")),
							array("label" => "Separator", "description" => "Define a new seperator character for your page titles.", "name" => "ocmx_seperator", "default" => "|", "input_type" => "text"),
							array("label" => "Site Wide Title", "description" => "Set your site's meta title.", "name" => "ocmx_meta_title", "default" =>  get_bloginfo("title"), "input_type" => "text"),
							array("label" => "Site Keywords", "description" => "", "name" => "ocmx_meta_keywords", "default" => "", "input_type" => "text"),
							array("label" => "Site Description", "description" => "Use a custom meta description.", "name" => "ocmx_meta_description", "default" => get_bloginfo("description"), "input_type" => "memo")
						
						);
$theme_options["small_ad_options"] = array(
						array(
								"label" => "Number of Small Ads", 
								"description" => "When using the select box, you must click \"Save Changes\" before the blocks are added or removed.", 
								"name" => "ocmx_small_ads", 
								"id" =>  "ocmx_small_ads",
								"prefix" => "ocmx_small_ad",
								"default" => "0", 
								"input_type" => "select", 
								"options" => array("None" => "0", "1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10"), 
								"args" => array("width" => 125, "height" => "125")
							)
					  );

$theme_options["medium_ad_options"] = array( 
						array(
								"label" => "Number of Medium Ads", 
								"description" => "", 
								"name" => "ocmx_medium_ads", 
								"id" =>  "ocmx_medium_ads",
								"prefix" => "ocmx_medium_ad", 
								"default" => "0", 
								"input_type" => "select", 
								"options" => array("None" => "0", "1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10"), 
								"args" => array("width" => 300, "height" => "250")
							)
						);
$theme_options["custom_advert_options"] = array( 
						array(
							"main_section" => "Header Ad",
							"main_description" => "These settings allow you to manage your custom adverts which display in the header of your site. (Recommended size for the header ad is 468px by 60px)",
							"sub_elements" => 
								array(
									array("label" => "Advert Title", "description" => "", "name" => $input_prefix."header_ad_title", "default" => "", "id" =>  $input_prefix."header_ad_title", "input_type" => "text"),
									array("label" => "Advert Link", "description" => "", "name" => $input_prefix."header_ad_link", "default" => "", "id" =>  $input_prefix."header_ad_link", "input_type" => "text"),
									array("label" => "Image URL", "description" => "", "name" => $input_prefix."header_ad_image", "default" => "", "id" =>  $input_prefix."header_ad_image", "input_type" => "text"),
									array("label" => "Advert Script", "description" => "", "name" => $input_prefix."header_ad_buysell_id", "default" => "", "id" => $input_prefix."header_buysell_id", "input_type" => "memo"),
								)
						)
					);
	
$theme_options["blog_home_options"] =
	array(
		array("label" => "Post Count", "description" => "Number of Posts to display on the Home Page (Used only with the 'Regular Blog' layout).", "name" => "ocmx_home_page_posts", "default" => "5", "id" => "", "input_type" => "select", "options" => array("1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10", "15" => "15", "20" => "20")),
		array("label" => "Category", "description" => "Which Category will we display on the Home Page (Used only with the 'Regular Blog' layout)?", "name" => "ocmx_home_page_categories", "default" => "", "id" => "", "input_type" => "select", "options" => "loop_categories"),
	);

$theme_options["biz_home_options"] =
	array(
		array("label" => "Feature Slider", "description" => "Select which category will be used for the featured posts block.", "name" => "ocmx_feature_post_cat", "default" => "0", "id" => "ocmx_feature_post_cat", "input_type" => "select", "options" => "loop_categories"),
		array(
				"main_section" => "Text Blocks",
				"main_description" => "Select which pages will be used for the three texts block.",
				"sub_elements" => 
					array(
						array("label" => "Left Block", "description" => "", "name" => "ocmx_left_home_screen", "default" => "0", "id" => "ocmx_left_home_screen", "input_type" => "select", "options" => "loop_pages"),
						array("label" => "Middle Block", "description" => "", "name" => "ocmx_middle_home_screen", "default" => "0", "id" => "ocmx_middle_home_screen", "input_type" => "select", "options" => "loop_pages"),
						array("label" => "Right Block", "description" => "", "name" => "ocmx_right_home_screen", "default" => "0", "id" => "ocmx_right_home_screen", "input_type" => "select", "options" => "loop_pages")
					)
			),
		array(
			"main_section" => "Blog Posts",
			"main_description" => "Enter which categories you would like to use in the two Blog Post columns.",
			"sub_elements" => 
				array(
					array("label" => "Left Block", "description" => "", "name" => "ocmx_left_blog_category", "default" => "", "id" =>  "ocmx_left_blog_category", "input_type" => "select", "options" => "loop_categories"),
					array("label" => "Right Block", "description" => "", "name" => "ocmx_right_blog_category", "default" => "", "id" =>  "ocmx_right_blog_category", "input_type" => "select", "options" => "loop_categories")
				)
		)
	);
$theme_options["widget_home_options"] =
		array(
			array(
					"label" => "Widgetized", "description" => "You can use the <strong>OCMX - Home Page</strong> widgets listed in <a href=\"widgets.php\">Appearance > Widgets</a> to customize your home page.", "input_type" => "hidden"
				)
		);
$theme_options["home_page_options"] = array(
		array(
			  	"label" => "Home Page Layout",
				"description" => "Select whether you'd like to have a Blog home page with a sidebar, or use the business layout.",
				"name" => "ocmx_home_page_layout", "default" => "blog",
				"id" => "ocmx_home_page_layout",
				"input_type" => "hidden",
				"default" => "blog",
				"options" => 
					array(
						  	"blog" => array("label" => "Regular Blog Layout", "description" => "Perfect if you just want your site to be a blog.", "image" => get_bloginfo('template_directory')."/ocmx/images/blog-layout.png"),
							"biz" => array("label" => "Business Layout (Preset)", "description" => "Setup your home page to look like a business site.", "image" => get_bloginfo('template_directory')."/ocmx/images/biz-layout.png"),
							"widget" => array("label" => "Widget Driven (Advanced)", "description" => "You determine how to layout your page via widgets.", "image" => get_bloginfo('template_directory')."/ocmx/images/widgetized-layout.png"),
						)
				)
	);
$theme_options["delete_gallery"] = array( 
						array(
								"label" => "Confirm", 
								"description" => "Are you sure you want to delete this gallery?", 
								"name" => "ocmx_delete_gallery_confirm", 
								"id" =>  "ocmx_delete_gallery_confirm",
								"default" => "0", 
								"input_type" => "select", 
								"options" => array("Yes" => "yes", "No" => "no")
							)
						);
 ?>