<?php
class contact_form extends WP_Widget {
    /** constructor */
    function contact_form() {
        parent::WP_Widget( false, $name = __("(Obox) Contact Form","ocmx"), array( "description" => __("A compact contact form for your sidebar.","ocmx") ) );	
    }

     /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args ); 
        if(isset($instance["title"]))			
        	$title = esc_attr($instance["title"]);
        if(isset($instance["phone"]))
        	$phone = esc_attr($instance["phone"]);
        if(isset($instance["email"]))
        	$email = esc_attr($instance["email"]); 
        if(isset($instance["phone_link"]))	
			$phone_link =  esc_attr($instance["phone_link"]);
		if(isset($instance["email_link"]))	
			$email_link =  esc_attr($instance["email_link"]);
		if(isset($instance["page_choose"]))
			$page_choose = esc_attr($instance["page_choose"]);
		?>
        
        <li class="column contact-widget">
			<h4>
				<?php if( $page_choose != 0 ) :  ?>
					<a href="<?php echo get_page_link($page_choose); ?>">
						<?php echo $title; ?>
					</a>
				<?php else : ?>
					<?php echo $title; ?>
				<?php endif; ?>
			</h4>
			
			<ul class="clearfix">
				<li>
					<div class="details">
						<strong class="phone-icon">Call Me</strong>
						<?php if( isset( $phone_link ) == "true" ) : ?>
							<a href="tel:<?php echo $phone; ?>"><?php echo $phone; ?></a>
						<?php else: ?>
							<?php echo $phone; ?>
						<?php endif; ?>
					</div>
				</li>
				<li >
					<div class="details">
						<strong class="email-icon">Email Me</strong>
						<?php if( isset( $email_link ) == "true") : ?>
							<a href="mailto:<?php echo $email; ?>"><?php echo $email; ?></a>
						<?php else: ?>
							<?php echo $email; ?>
						<?php endif; ?>
					</div>
				</li>
			</ul>
			
		</li> <!-- END .contact-details -->
		
	<?php		
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {	
    	if(isset($instance["title"]))			
        	$title = esc_attr($instance["title"]);
        if(isset($instance["phone"]))
        	$phone = esc_attr($instance["phone"]);
        if(isset($instance["email"]))
        	$email = esc_attr($instance["email"]); 
        if(isset($instance["phone_link"]))	
			$phone_link =  esc_attr($instance["phone_link"]);
		if(isset($instance["email_link"]))	
			$email_link =  esc_attr($instance["email_link"]); 
		if(isset($instance["page_choose"]))
			$page_choose = esc_attr($instance["page_choose"]);
		?>
        	<p>
        		<label for="<?php echo $this->get_field_id('title'); ?>">Title<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label>
        	</p>
        	<p>
        		<label for="<?php echo $this->get_field_id('phone'); ?>">Phone Number<input class="widefat" id="<?php echo $this->get_field_id('phone'); ?>" name="<?php echo $this->get_field_name('phone'); ?>" type="text" value="<?php echo $phone; ?>" /></label>
        	</p>
        	<p>
            <p><em>Linking your phone number adds compatibiity for mobile devices.</em></p>  
		        <label for="<?php echo $this->get_field_id('phone_link'); ?>">
		            <input type="checkbox" <?php if($phone_link == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('phone_link'); ?>" name="<?php echo $this->get_field_name('phone_link'); ?>">
		            Link Phone Number
		        </label>
		    </p>
        	<p>
        		<label for="<?php echo $this->get_field_id('email'); ?>">Email Address<input class="widefat" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>" type="text" value="<?php echo $email; ?>" /></label>
        	</p>
        	<p>
		        <label for="<?php echo $this->get_field_id('email_link'); ?>">
		            <input type="checkbox" <?php if($email_link == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('email_link'); ?>" name="<?php echo $this->get_field_name('email_link'); ?>">
		            Link Email Address
		        </label>
		    </p>
		    <p>
				<label for="<?php echo $this->get_field_id('page_choose'); ?>">Link to Contact Page</label>
		    	<?php $pages = get_pages();?>
		          
		     	<select size="1" class="widefat" id="<?php echo $this->get_field_id("page_choose"); ?>" name="<?php echo $this->get_field_name("page_choose"); ?>">
		          
		          	<option <?php if($filterval == 0){echo "selected=\"selected\"";} ?> value="0">Choose a Page</option>
		          
		        	<?php foreach($pages as $page) :
		
		                $use_value =  $page->ID;
		                     
		                if($use_value == $page_choose)
		                    {$selected = " selected='selected' ";}
		                else
		                    {$selected = " ";} ?>
		                    
		        		<option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $page->post_title; ?></option>
		        		
		        	<?php endforeach; ?>
		        
		         </select>
                 <p><em>Use the <a href="edit.php?post_type=page">Pages</a> section to create a Contact page.</em></p>
			</p>
           
        <?php 
    }

} // End class 

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("contact_form");'));

?>