<?php
class feature_posts_widget extends WP_Widget {
    /** constructor */
    function feature_posts_widget() {
        parent::WP_Widget( false, $name = __("(Obox) Featured Posts","ocmx"), array( "description" => __("Display 3 latest posts from a specific category in a tabbed slider.","ocmx") ) );	
    }

    /** @see WP_Widget::widget */
    function widget( $args, $instance ) {		
        extract( $args );
		if(!( $instance["post_category"] ) ) :
			$use_catId = 0;
		else :
	        $use_category = $instance["post_category"];
			$use_catId = get_category_by_slug($use_category);
		endif;
		if( isset( $instance["post_thumb"]) )
			$post_thumb = $instance["post_thumb"];
		if( isset( $post_thumb ) && $post_thumb == "true" ):
			$post_thumb = 1;
		else :
			$post_thumb = 0;		
		endif;
		//Set the post Aguments and Query accordingly
		$count = 1;
		rewind_posts();
		$ocmx_featured = new WP_Query( "cat=".$use_catId->term_id."&showposts=3" );
?>          
	<div class="feature clearfix">
    	<!--Image/Video area -->
		<div class="left-column">
			<div class="post">
            	<?php while ( $ocmx_featured->have_posts()) : $ocmx_featured->the_post();	
					global $post;	
                    $this_post = get_post( $post->ID );
                    $link = get_permalink( $this_post->ID );
                    $args  = array( 'postid' => $post->ID, 'width' => 580, 'height' => 280, 'hide_href' => false, 'exclude_video' => $post_thumb, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '580x280' );
					$image = get_obox_media( $args );
				?>              
                    <div <?php if($count !== 1): ?>style="display: none;"<?php endif; ?> id="feature-copy-<?php echo $count; ?>">
						<div class="featured-image">
							<?php echo $image; ?>
						</div>
                        <div class="feature-splurb">
                        <?php if( get_option( "ocmx_meta_date" ) != "false") : ?>
                        	<div class="date-container use-cufon">
                        		<span class="day"><?php echo date('d', strtotime($this_post->post_date)); ?></span>
                        		<span class="month"><?php echo date('M', strtotime($this_post->post_date)); ?></span>
                        	</div>
						<?php endif; ?>
                        	<div class="splurb">
                                <h2 class="use-cufon"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
                                <?php if($this_post->post_excerpt !== "") :
                                    echo "<p>".substr(strip_tags($this_post->post_excerpt), 0, 130)."...</p>";
                                    else :
                                        the_excerpt("");
                                    endif; ?>
							</div>
						</div>
				</div>
                <?php 
                    $count++;
                endwhile; ?>
		</div>
	</div>
    	<!--Show Tabs -->
		<ul class="right-column">
			<?php  $count=1;
			while ($ocmx_featured->have_posts()) : $ocmx_featured->the_post(); 
				global $post;
			    $this_post = get_post($post->ID);
				$args  = array( 'postid' => $post->ID, 'width' => 100, 'height' => 80, 'hide_href' => true, 'exclude_video' => $post_thumb, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '100x80' );
				$image = get_obox_media( $args );
				$link = get_permalink($this_post->ID); ?>
                <li <?php if($count == 1): ?>class="active"<?php endif; ?> id="feature-li-<?php echo $count; ?>">
                    <a href="#" class="clearfix" id="feature-href-<?php echo $count; ?>"> 
  						<?php echo $image; ?>
                        <span class="title use-cufon"><?php the_title(); ?></span>
					</a>
                </li>
			<?php 
				$count++;
			endwhile; ?>
		</ul>
	</div>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
        $post_category = esc_attr($instance["post_category"]);
		$post_thumb = $instance["post_thumb"];
?>
    <p><label for="<?php echo $this->get_field_id('post_category'); ?>">Category</label>
       <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
            <option <?php if($post_count == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
            <?php
                    $category_args = array('hide_empty' => false);
                    $option_loop = get_categories($category_args);
                    foreach($option_loop as $option_label => $value)
                        { 	
                            // Set the $value and $label for the options
                            $use_value =  $value->slug;
                            $label =  $value->cat_name;
                            //If this option == the value we set above, select it
                            if($use_value == $post_category)
                                {$selected = " selected='selected' ";}
                            else
                                {$selected = " ";}
            ?>
                            <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
            <?php 
                        }
            ?>
        </select>
    </p>
    <p>
    	<label for="<?php echo $this->get_field_id('post_thumb'); ?>">Thumbnails</label>
    		<select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
                <option <?php if( $post_thumb == "true" ) : ?>selected="selected"<?php endif; ?> value="true">Post Feature Image</option>
                <option <?php if( $post_thumb == "false" ) : ?>selected="selected"<?php endif; ?> value="false">Videos</option>
    		</select>
    </p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("feature_posts_widget");'));

?>