<?php
class feature_gallery_widget extends WP_Widget {
    /** constructor */
    function feature_gallery_widget() {
        parent::WP_Widget(false, $name = __( "(Obox) Gallery","ocmx"), array( "description" => __("Home Page Widget - Show off your theme's latest gallery images.","ocmx") ) );	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
		global $gallery_id;
		$title = $instance["title"];
	    $description = $instance["description"];
		if(!( $instance["post_category"] ) ) :
			$use_catId = 0;
		else :
	        $use_category = $instance["post_category"];
			$use_catId = get_category_by_slug( $use_category );
		endif;
		if(!($instance["use_gallery"])) :
			$gallery_id = 0;
		else :
			$gallery_id = $instance["use_gallery"];
		endif;
		
		$gallery_dtl = fetch_ocmx_gallery( $gallery_id, "image_order", "ASC" );
                
		//Set the post Aguments and Query accordingly
		$count = 0;
?>          
	<div class="widget-gallery-container transparent-container">
		<div class="widget-gallery clearfix">
			<div class="widget-gallery-description">
                <h3 class="use-cufon"><?php echo $instance['title']; ?></h3>
                <p><?php echo $description; ?></p>
				<a href="<?php echo get_gallery_link( $gallery_dtl[0] ); ?>">View More</a>
			</div>
            <div class="widget-gallery-list-container">
            	<div>
                    <ul class="widget-gallery-list">
                        <?php foreach($gallery_dtl as $gallery_list) :
                            if($count == 5) : echo "</ul><ul class=\"widget-gallery-list\">"; $count = 0; endif;
							$upload_dir = wp_upload_dir(); 
                            $large_image = $upload_dir['baseurl'] . '/ocmx-gallery/large/' . $gallery_list->Image;
                            $this_image = $upload_dir['baseurl'] . '/ocmx-gallery/small/' . $gallery_list->Image;
                        ?>
                            <li>
                                <a href="<?php echo $large_image; ?>" rel="lightbox">
                                    <img src="<?php bloginfo('template_directory'); ?>/functions/timthumb.php?src=<?php echo $this_image; ?>&amp;h=140&amp;w=140&amp;zc=1" border="0" alt="<?php echo $gallery_list->Item; ?>" />
                                    <span></span>
                                </a>
                            </li>
                        <?php 
                            $count++;
                        endforeach; ?>
                    </ul>
                </div>
			</div>
        </div>
	</div>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
	    $title = $instance["title"];
	    $description = $instance["description"];
        $use_gallery = esc_attr($instance["use_gallery"]); 
?>
           	<p><label for="<?php echo $this->get_field_id('title'); ?>">Title<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
			<p><label for="<?php echo $this->get_field_id('description'); ?>">
            	Splurb	
                <textarea class="widefat" id="<?php echo $this->get_field_id('description'); ?>" name="<?php echo $this->get_field_name('description'); ?>"><?php echo $description; ?></textarea>
			</p>
			<p><label for="<?php echo $this->get_field_id('post_category'); ?>">List Specific Gallery</label>
               <select size="1" class="widefat" id="<?php echo $this->get_field_id("use_gallery"); ?>" name="<?php echo $this->get_field_name("use_gallery"); ?>">
                    <option <?php if($use_gallery == 0){echo "selected=\"selected\"";} ?> value="0">All Images</option>
                    <?php
						$gallery_list = list_ocmx_galleries();
						foreach($gallery_list as $this_gallery) :
							// Set the $value and $label for the options
							$gallery_id =  $this_gallery->menuId;
							$gallery_name =  $this_gallery->GalleryTitle;
							//If this option == the value we set above, select it
							if($gallery_id == $use_gallery)
								{$selected = " selected='selected' ";}
							else
								{$selected = " ";}
                    ?>
                    		<option <?php echo $selected; ?> value="<?php echo $gallery_id; ?>"><?php echo $gallery_name; ?></option>
                    <?php endforeach;?>
                </select>
			</p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("feature_gallery_widget");'));

?>