<?php
class home_page_posts_widget extends WP_Widget {
    /** constructor */
    function home_page_posts_widget() {
        parent::WP_Widget(false, $name = "(Obox) Home Page Blog", array("description" => "Display a list of posts on the homepage."));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
		if(!($instance["left_post_category"])) :
			$left_catId = 0;
		else :
	        $use_category = $instance["left_post_category"];
			$left_catId = get_category_by_slug($use_category);
		endif;
		if(!($instance["right_post_category"])) :
			$right_catId = 0;
		else :
	        $use_category = $instance["right_post_category"];
			$right_catId = get_category_by_slug($use_category);
		endif;
		
		if(!($instance["post_count"])) :
			$post_count = 5;
		else :
	        $post_count = esc_attr($instance["post_count"]);
		endif;
		
		//Set the post Aguments and Query accordingly
		$count = 1;
		rewind_posts();
		$home_page = new WP_Query("cat=".$use_catId->term_id."&showposts=".$post_count);
?>    
	<ul class="sub-info-feature-blocks clearfix">
			<?php  $home_page_left = new WP_Query("cat=".$left_catId->term_id."&showposts=".$post_count); ?>
            <li class="column">
                <ul class="sub-posts">
                	<?php while ($home_page_left->have_posts()) : $home_page_left->the_post();	
						global $post;	
						$this_post = get_post($post->ID);
						$link = get_permalink($this_post->ID);
						$args  = array( 'postid' => $post->ID, 'width' => 80, 'height' => 80, 'hide_href' => false, 'exclude_video' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '80x80' );
						$image = get_obox_media( $args ); ?>
                        <li class="clearfix">
                 			<?php if( $image !="" ) : ?>
                                <div class="post-image">
                                	<?php echo $image; ?>
                            	</div>
							<?php endif; ?>
                            <h3 class="post-title use-cufon"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
                            <?php if( $this_post->post_excerpt != "" ) :
								echo substr( strip_tags( $this_post->post_excerpt ), 0, 120 );
							else :
								the_excerpt("...");
							endif; ?>
                        </li>
                   <?php endwhile; ?>
                </ul>
            </li>
    		
			<?php  $home_page_right = new WP_Query( "cat=".$right_catId->term_id."&showposts=".$post_count );  ?>
            <li class="column">
                <ul class="sub-posts">
                  	<?php while ( $home_page_right->have_posts()) : $home_page_right->the_post();
						global $post;		
						$this_post = get_post( $post->ID );
						$link = get_permalink ($this_post->ID );
						$args  = array( 'postid' => $post->ID, 'width' => 80, 'height' => 80, 'hide_href' => false, 'exclude_video' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '80x80' );
						$image = get_obox_media( $args ); ?>
                        <li class="clearfix">
							<?php if( $image !="" ) : ?>
                                <div class="post-image">
                                	<?php echo $image; ?>
                            	</div>
							<?php endif; ?>
                            <h3 class="post-title use-cufon"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
                             <?php if( $this_post->post_excerpt != "" ) :
								echo substr( strip_tags( $this_post->post_excerpt ), 0, 120 );
							else :
								the_excerpt("...");
							endif; ?>
                        </li>
                   <?php endwhile; ?>
                </ul>
            </li>
        </ul>

<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
        $left_post_category = esc_attr($instance["left_post_category"]);
        $right_post_category = esc_attr($instance["right_post_category"]);
		$post_count = esc_attr($instance["post_count"]);
		
?>
        <p><label for="<?php echo $this->get_field_id('left_post_category'); ?>">Left Block Category</label>
           <select size="1" class="widefat" id="<?php echo $this->get_field_id("left_post_category"); ?>" name="<?php echo $this->get_field_name("left_post_category"); ?>">
                <option <?php if($post_count == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
                <?php
                        $category_args = array('hide_empty' => false);
                        $option_loop = get_categories($category_args);
                        foreach($option_loop as $option_label => $value)
                            { 	
                                // Set the $value and $label for the options
                                $use_value =  $value->slug;
                                $label =  $value->cat_name;
                                //If this option == the value we set above, select it
                                if($use_value == $left_post_category)
                                    {$selected = " selected='selected' ";}
                                else
                                    {$selected = " ";}
                ?>
                                <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
                <?php 
                            }
                ?>
            </select>
        </p>
        <p><label for="<?php echo $this->get_field_id('right_post_category'); ?>">Right Block Category</label>
           <select size="1" class="widefat" id="<?php echo $this->get_field_id("right_post_category"); ?>" name="<?php echo $this->get_field_name("right_post_category"); ?>">
                <option <?php if($post_count == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
                <?php
                        $category_args = array('hide_empty' => false);
                        $option_loop = get_categories($category_args);
                        foreach($option_loop as $option_label => $value)
                            { 	
                                // Set the $value and $label for the options
                                $use_value =  $value->slug;
                                $label =  $value->cat_name;
                                //If this option == the value we set above, select it
                                if($use_value == $right_post_category)
                                    {$selected = " selected='selected' ";}
                                else
                                    {$selected = " ";}
                ?>
                                <option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
                <?php 
                            }
                ?>
            </select>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('post_count'); ?>">Post Limit</label>
            <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_count"); ?>" name="<?php echo $this->get_field_name("post_count"); ?>">
                <option <?php if($post_count == -1){echo "selected=\"selected\"";} ?> value="-1">No Limit</option>
                <?php for($i = 1; $i < 31; $i++) :?>
                    <option <?php if($post_count == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                <?php
                endfor; ?>
            </select>
        </p>

        
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("home_page_posts_widget");'));

?>