<?php
class three_block_widget extends WP_Widget {
    /** constructor */
    function three_block_widget() {
        parent::WP_Widget( false, $name = __("(Obox)Three Column Page","ocmx"), array( "description" => __("Home Page Widget - Display content from specific pages in three columns.","ocmx") ) );	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
		
		$left_page = $instance["left_page"];
		$middle_page = $instance["middle_page"];
		$right_page = $instance["right_page"];
		
?>          
	<ul class="feature-blocks clearfix">	
        <li>
            <?php $this_page = get_page( $left_page ); ?>
            <div class="content">
                <h3 class="use-cufon"><a href="<?php echo get_page_link( $this_page->ID ); ?>"><?php echo $this_page->post_title; ?></a></h3>
                <div class="copy">
                    <?php 
                        echo $this_page->post_content;
                    ?>
                </div>
            </div>
        </li>
        <li>
            <?php $this_page = get_page( $middle_page ); ?>
            <div class="content">
                <h3 class="use-cufon"><a href="<?php echo get_page_link($this_page->ID); ?>"><?php echo $this_page->post_title; ?></a></h3>
                <div class="copy">
                   <?php 
                        echo $this_page->post_content;
                    ?>
                </div>
            </div>
        </li>
        <li>
            <?php $this_page = get_page ( $right_page ); ?>
            <div class="content">
                <h3 class="use-cufon"><a href="<?php echo get_page_link( $this_page->ID ); ?>"><?php echo $this_page->post_title; ?></a></h3>
                <div class="copy">
                    <?php 
                        echo $this_page->post_content;
                    ?>
                </div>
            </div>
        </li>
    </ul>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		$left_page = $instance["left_page"];
		$middle_page = $instance["middle_page"];
		$right_page = $instance["right_page"];
		
?>
            <p><label for="<?php echo $this->get_field_id('left_page'); ?>">Left Block</label>
               <select size="1" class="widefat" id="<?php echo $this->get_field_id("left_page"); ?>" name="<?php echo $this->get_field_name("left_page"); ?>">
                    <?php
							$pages_one = get_pages();
							foreach($pages_one  as $this_page)
								{ 	
									//If this option == the value we set above, select it
									if($page_one == $left_page->ID)
										{$selected = " selected='selected' ";}
									else
										{$selected = " ";}
					?>
									<option <?php echo $selected; ?> value="<?php echo $this_page->ID; ?>"><?php echo $this_page->post_title; ?></option>
					<?php 
								}
					?>
                </select>
			</p>
            <p><label for="<?php echo $this->get_field_id('middle_page'); ?>">Middle Block</label>
               <select size="1" class="widefat" id="<?php echo $this->get_field_id("middle_page"); ?>" name="<?php echo $this->get_field_name("middle_page"); ?>">
                    <?php
							$pages_two = get_pages();
							foreach($pages_two  as $this_page)
								{ 	
									//If this option == the value we set above, select it
									if($this_page->ID == $middle_page)
										{$selected = " selected='selected' ";}
									else
										{$selected = " ";}
					?>
									<option <?php echo $selected; ?> value="<?php echo $this_page->ID; ?>"><?php echo $this_page->post_title; ?></option>
					<?php 
								}
					?>
                </select>
			</p>
            <p><label for="<?php echo $this->get_field_id('right_page'); ?>">Right Block</label>
               <select size="1" class="widefat" id="<?php echo $this->get_field_id("right_page"); ?>" name="<?php echo $this->get_field_name("right_page"); ?>">
                    <?php
							$pages_three = get_pages();
							foreach($pages_three  as $this_page)
								{ 	
									//If this option == the value we set above, select it
									if($right_page == $this_page->ID)
										{$selected = " selected='selected' ";}
									else
										{$selected = " ";}
					?>
									<option <?php echo $selected; ?> value="<?php echo $this_page->ID; ?>"><?php echo $this_page->post_title; ?></option>
					<?php 
								}
					?>
                </select>
			</p>
<?php 
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("three_block_widget");'));

?>